Summary: An editor for the GConf configuration system
Name: gconf-editor
Version: 2.10.0
Release: 3mdk
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libGConf2-devel >= 2.9.2
BuildRequires: perl-XML-Parser
BuildRequires: scrollkeeper
URL: http://www.gnome.org/

%description
gconf-edit is an editor for the GConf configuration system

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/gconf-editor" icon="%{_datadir}/icons/hicolor/48x48/apps/gconf-editor.png" title="GConf Editor" longtitle="Directly edit your entire configuration database" needs="gnome" section="Configuration/GNOME/Advanced" startup_notify="true"
EOF

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor


%preun
if [ "$1" = "0" ]; then 
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi

%postun
%{clean_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor


%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS NEWS
%{_bindir}/*
%{_menudir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/48x48/apps/gconf-editor.png
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%_sysconfdir/gconf/schemas/%name.schemas

%changelog
* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-3mdk 
- Fix icon path

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdk 
- run gtk-update-icon-cache at post/postun

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package)
- don't uninstall schema on upgrade

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-4mdk 
- Rebuild with latest howl

* Mon Nov 15 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.2-3mdk
- add BuildRequires: scrollkeeper

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-2mdk
- fix buildrequires

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- add schema and omf files
- requires new gconf
- New release 2.8.2

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix BuildRequires

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patch0 (merged upstream)

* Mon Feb 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Patch0 (CVS): a lot of bug fixes from HEAD

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-2mdk
- Rebuild with latest ORBit2

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- Release 0.5.0

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3
- Add menu entry

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-3mdk
- Fix BuildRequires

* Mon Jul  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-2mdk
- Fix rpmlint errors

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- Release 0.2

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- Initial Mandrake package (GNOME 2)


# end of file
